/* $Id$ */

/**
 * @file
 * OM Maximenu css
 *
 * @author: Daniel Honrade http://drupal.org/user/351112
 *
 */

/* Admin */
#om-maximenu-admin table .col-link { width: 75%; }
#om-maximenu-blocks-get .edit-block { display: inline; }
#om-maximenu-blocks-get .edit-block a { font-weight: bold; }

/* Default OM Maximenu style */
.om-maximenu { height: auto; position: relative; z-index: 100; }
.om-maximenu-content { display: none; }
.om-maximenu .om-maximenu-content { position: absolute; top: 30px; left: 0; min-width: 300px; z-index: 500; }
.om-maximenu .om-maximenu-content .block { position: relative; }
.om-maximenu .om-maximenu-content.open { display: block !important; }
.om-maximenu .om-maximenu-open { position: absolute; bottom: -10px; right: 0; font-size: 9px; height: 15px; line-height: 15px; }
.om-maximenu .om-maximenu-open input { margin: 0 5px 0 0; float: left; }

/* Edit Link */
.om-maximenu .om-maximenu-edit { display: none; position: absolute; top: 0; right: 0; font-size: .7em; background-color: #fff; }
.om-maximenu:hover .om-maximenu-edit { display: block; z-index: 1000; }
.om-maximenu .om-maximenu-edit a { display: block; float: left; margin-left: 3px; height: 0; width: 16px; padding: 16px 0 0; overflow: hidden; background: url(images/icons.gif) 0 0 scroll no-repeat; }
.om-maximenu .om-maximenu-edit a:hover { background-position: 0 -16px; }

/* Blocks Edit */
.om-maximenu-content .edit-block { display: none; position: absolute; top: 0; right: 0; font-size: .7em; background-color: #fff; }
.om-maximenu-content .block:hover .edit-block { display: block; z-index: 1000; }
.om-maximenu-content .block .edit-block a { display: block; float: left; margin-left: 3px; height: 0; width: 16px; padding: 16px 0 0; overflow: hidden; background: url(images/icons.gif) 0 0 scroll no-repeat; }
.om-maximenu-content .block .edit-block a.block-config { background-position: 0 0; }
.om-maximenu-content .block .edit-block a.block-config:hover { background-position: 0 -16px; }
.om-maximenu-content .block .edit-block a.block-edit-menu { background-position: -16px 0; }
.om-maximenu-content .block .edit-block a.block-edit-menu:hover { background-position: -16px -16px; }
.om-maximenu-content .block .edit-block a.block-edit-view { background-position: -32px 0; }
.om-maximenu-content .block .edit-block a.block-edit-view:hover { background-position: -32px -16px; }

/* General */
.om-maximenu ul.om-menu { display: block; padding: 0; margin: 0; height: 30px; position: relative; z-index: 20; }
.om-maximenu ul.om-menu li.om-leaf { display: block; padding: 0; margin: 0; height: 30px; list-style: none; list-style-image: none; position: relative; z-index: 5; }
.om-maximenu ul.om-menu li.om-leaf.om-leaf-icon .om-link { padding: 0; }
.om-maximenu ul.om-menu li.om-leaf .om-link { display: block; padding: 0 15px; margin: 0; height: 30px; line-height: 30px; }
.om-maximenu ul.om-menu li.om-leaf .om-link:hover { cursor: pointer; text-decoration: none; }
.om-maximenu ul.om-menu li.om-leaf:hover .om-maximenu-content-nofade { display: block; }
.om-maximenu ul.om-menu li.om-leaf .om-link .om-subtitle { line-height: normal; display: block; margin-top: -2px; font-size: .9em; }
.om-clearfix { clear: both; }

.om-maximenu .om-maximenu-top { position: relative; }
.om-maximenu .om-maximenu-bottom { position: relative; }

/* Main Menu */
.om-maximenu.om-maximenu-main-menu .om-maximenu-content {}
.om-maximenu.om-maximenu-main-menu ul.om-menu { float: left; }
.om-maximenu.om-maximenu-main-menu ul.om-menu li.om-leaf { float: left; }
.om-maximenu.om-maximenu-main-menu ul.om-menu li.om-leaf .om-link { float: left; }

/* Stacking */
.om-maximenu.om-maximenu-block.om-maximenu-row ul.om-menu li.om-leaf { float: left; }
.om-maximenu.om-maximenu-block.om-maximenu-row ul.om-menu li.om-leaf .om-link { float: left;  }
.om-maximenu.om-maximenu-block.om-maximenu-column { height: auto; }
.om-maximenu.om-maximenu-block.om-maximenu-column ul.om-menu { float: none; height: auto; }
.om-maximenu.om-maximenu-block.om-maximenu-column ul.om-menu li.om-leaf { float: none; height: auto; }
.om-maximenu.om-maximenu-block.om-maximenu-column ul.om-menu li.om-leaf .om-link { float: none; height: auto; }

.om-maximenu.om-maximenu-float.om-maximenu-row ul.om-menu li.om-leaf { float: left; }
.om-maximenu.om-maximenu-float.om-maximenu-row ul.om-menu li.om-leaf .om-link { float: left;  }
.om-maximenu.om-maximenu-float.om-maximenu-column { height: auto; }
.om-maximenu.om-maximenu-float.om-maximenu-column ul.om-menu { float: none; height: auto; }
.om-maximenu.om-maximenu-float.om-maximenu-column ul.om-menu li.om-leaf { float: none; height: auto; }
.om-maximenu.om-maximenu-float.om-maximenu-column ul.om-menu li.om-leaf .om-link { float: none; height: auto; }

/* Orientation */
.om-maximenu.om-maximenu-horizontal {}
.om-maximenu.om-maximenu-vertical { height: auto; width: 30px; }
.om-maximenu.om-maximenu-vertical ul.om-menu { height: auto; width: 30px; }
.om-maximenu.om-maximenu-vertical ul.om-menu li.om-leaf { height: auto; width: 30px; }
.om-maximenu.om-maximenu-vertical ul.om-menu li.om-leaf .om-link { height: auto; width: 30px; padding: 30px 0; line-height: normal; }
.om-maximenu.om-maximenu-vertical.om-maximenu-left ul.om-menu li.om-leaf .om-link { -webkit-transform: rotate(-270deg); -moz-transform: rotate(-270deg); filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=3); }
.om-maximenu.om-maximenu-vertical.om-maximenu-left .om-maximenu-content { margin-left: 15px; }

.om-maximenu.om-maximenu-vertical.om-maximenu-right ul.om-menu li.om-leaf .om-link { -webkit-transform: rotate(-90deg); -moz-transform: rotate(-90deg); filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=1); }
.om-maximenu.om-maximenu-vertical.om-maximenu-right .om-maximenu-content { margin-right: 15px; }

.om-maximenu.om-maximenu-float.om-maximenu-column.om-maximenu-vertical.om-maximenu-left .om-maximenu-content,
.om-maximenu.om-maximenu-float.om-maximenu-column.om-maximenu-vertical.om-maximenu-right .om-maximenu-content { top: -20px; }

/* Dock Effect */
.om-maximenu.om-maximenu-dock { height: auto; }
.om-maximenu.om-maximenu-dock ul.om-menu { height: auto; }
.om-maximenu.om-maximenu-dock ul.om-menu li.om-leaf-icon { height: auto; }
.om-maximenu.om-maximenu-dock ul.om-menu li.om-leaf-icon .om-link { height: auto; }
.om-maximenu.om-maximenu-dock ul.om-menu li.om-leaf-icon .om-link img {}
.om-maximenu.om-maximenu-dock.om-maximenu-vertical ul.om-menu li.om-leaf-icon .om-link { padding: 0; }
.om-maximenu.om-maximenu-dock.om-maximenu-left ul.om-menu li.om-leaf-icon { text-align: left; }
.om-maximenu.om-maximenu-dock.om-maximenu-right ul.om-menu li.om-leaf-icon { text-align: right; }
.om-maximenu.om-maximenu-dock.om-maximenu-middle ul.om-menu { width: auto; }
.om-maximenu.om-maximenu-dock.om-maximenu-middle ul.om-menu li.om-leaf-icon { text-align: center;  }

.om-maximenu.om-maximenu-dock.om-maximenu-bottom,
.om-maximenu.om-maximenu-dock.om-maximenu-bottom ul.om-menu,
.om-maximenu.om-maximenu-dock.om-maximenu-bottom ul.om-menu li.om-leaf-icon,
.om-maximenu.om-maximenu-dock.om-maximenu-bottom ul.om-menu li.om-leaf-icon .om-link,
.om-maximenu.om-maximenu-dock.om-maximenu-bottom ul.om-menu li.om-leaf-icon .om-link img { vertical-align: bottom; float: none; display: inline; }
.om-maximenu.om-maximenu-dock.om-maximenu-bottom ul.om-menu li.om-leaf-icon .om-maximenu-content { bottom: 50px; }

.om-maximenu.om-maximenu-dock.om-maximenu-top ul.om-menu li.om-leaf-icon .om-maximenu-content { top: 50px; }
.om-maximenu.om-maximenu-dock.om-maximenu-top.om-maximenu-column ul.om-menu li.om-leaf-icon .om-maximenu-content { top: -30px; }
.om-maximenu.om-maximenu-dock.om-maximenu-top { height: 30px; }

.om-maximenu.om-maximenu-dock.om-maximenu-column.om-maximenu-top { height: auto; }
.om-maximenu.om-maximenu-dock.om-maximenu-column.om-maximenu-top.om-maximenu-column ul.om-menu { height: auto; }

/* Float */
.om-maximenu.om-maximenu-float {}
.om-maximenu.om-maximenu-float .om-maximenu-content { text-align: left; }

.om-maximenu.om-maximenu-float.om-maximenu-left { right: auto; }
.om-maximenu.om-maximenu-float.om-maximenu-left ul.om-menu { position: relative; left: 0; }
.om-maximenu.om-maximenu-float.om-maximenu-left .om-maximenu-content { left: 10px; right: auto; }
.om-maximenu.om-maximenu-float.om-maximenu-right { left: auto; }
.om-maximenu.om-maximenu-float.om-maximenu-right ul.om-menu { position: relative; right: 0; }
.om-maximenu.om-maximenu-float.om-maximenu-right .om-maximenu-content { right: 10px; left: auto; }

.om-maximenu.om-maximenu-float.om-maximenu-middle { bottom: 0; left: 0; right: 0; margin: 0 auto; z-index: 190; text-align: center; }
.om-maximenu.om-maximenu-float.om-maximenu-middle .om-maximenu-content {}
.om-maximenu.om-maximenu-float.om-maximenu-middle ul.om-menu { width: auto; margin: 0 auto; text-align: center; }
.om-maximenu.om-maximenu-float.om-maximenu-middle ul.om-menu li.om-leaf { display: inline-block; float: none; }
.om-maximenu.om-maximenu-float.om-maximenu-middle ul.om-menu li.om-leaf .om-link { display: inline-block; float: none; }

.om-maximenu.om-maximenu-float.om-maximenu-top { height: 30px; }
.om-maximenu.om-maximenu-float.om-maximenu-top .om-maximenu-content { bottom: auto; top: 30px; }
.om-maximenu.om-maximenu-float.om-maximenu-bottom {}
.om-maximenu.om-maximenu-float.om-maximenu-bottom .om-maximenu-content { top: auto; bottom: 30px; }

.om-maximenu.om-maximenu-float.om-maximenu-row {}
.om-maximenu.om-maximenu-float.om-maximenu-column {}

.om-maximenu.om-maximenu-float.om-maximenu-column.om-maximenu-left .om-maximenu-content { top: -50px; left: 100%; right: auto; }
.om-maximenu.om-maximenu-float.om-maximenu-column.om-maximenu-right .om-maximenu-content { top: -50px; right: 100%; left: auto; }

/* Block */
.om-maximenu.om-maximenu-block {}
.om-maximenu.om-maximenu-block .om-maximenu-content { z-index: 500; }
.om-maximenu.om-maximenu-block ul.om-menu { float: left; }
.om-maximenu.om-maximenu-block ul.om-menu li.om-leaf { float: left; }
.om-maximenu.om-maximenu-block ul.om-menu li.om-leaf .om-link { float: left; }

.om-maximenu.om-maximenu-block-down .om-maximenu-content {}
.om-maximenu.om-maximenu-block.om-maximenu-block-up .om-maximenu-content { top: auto; bottom: 30px; }

.om-maximenu.om-maximenu-block.om-maximenu-block-right .om-maximenu-content { top: -50px; left: 100%; right: auto; }
.om-maximenu.om-maximenu-block.om-maximenu-block-left .om-maximenu-content { top: -50px; right: 100%; left: auto; }

/* Slider */
.om-maximenu ul.om-menu li.backLava { position: absolute; top: 5px; height: 20px; background: #f2f2f2; z-index: 10; z-index: 3; }
.om-maximenu ul.om-menu li.backLava .leftLava {}
.om-maximenu ul.om-menu li.backLava .bottomLava {}
.om-maximenu ul.om-menu li.backLava .cornerLava {}

/* OM Maximenu Content - no style */
.om-maximenu .om-maximenu-content { left: 0; top: 30px; padding: 0;  }

*+html .om-maximenu .om-maximenu-content { width: 300px; } /* IE 7 */

.om-maximenu .om-maximenu-arrow { }

.om-maximenu .om-maximenu-top { width: 100%; }
.om-maximenu .om-maximenu-top-left {}
.om-maximenu .om-maximenu-top-right {}

.om-maximenu .om-maximenu-middle { background: none #fff; width: 100%; }
.om-maximenu .om-maximenu-middle-left {}
.om-maximenu .om-maximenu-middle-right { padding: 10px; }

*+html .om-maximenu .om-maximenu-middle-right { width: 300px; margin-left: 20px; padding-left: 0; } /* IE 7 */

.om-maximenu .om-maximenu-bottom { width: 100%; }
.om-maximenu .om-maximenu-bottom-left {}
.om-maximenu .om-maximenu-bottom-right {}

/* Link Slider */
.om-link-slider { display: block; height: 30px; line-height: 30px; margin: 0;  padding: 0 15px; overflow: hidden; }

/* Displace */
.om-maximenu .om-maximenu-content.om-maximenu-displace { top: 0; margin-left: 0; /* IE7 */ left: 0; } /* should be set to no style */
.om-maximenu .om-maximenu-content.om-maximenu-displace .om-maximenu-open { display: none; }
.om-maximenu-row .om-link { position: relative; }
.om-maximenu-row .om-maximenu-content.om-maximenu-displace { float: left; }

/* Tabbed */
.om-maximenu-float .om-maximenu-tabbed-content { width: 480px; }
.om-maximenu-tabbed-content { clear: both; }
.om-maximenu-tabbed-scrollh .om-maximenu-tabbed-content,
.om-maximenu-tabbed-scrollv .om-maximenu-tabbed-content { height: 100px; overflow: hidden; }
.om-maximenu-tabbed-content-inner {}
.om-tabbed-content { float: left; }
.om-tabbed-content-hide { display: none; }

/* Accordion */
.easy-accordion { display: block; position: relative; overflow: hidden; padding: 0; margin: 0; background-color: #f2f2f2; }
.easy-accordion dt,.easy-accordion dd { margin: 0; padding: 0; position: absolute; }
.easy-accordion dt { position: absolute !important; background-color: #f2f2f2; height: 46px; line-height: 44px; padding: 0 15px 0 0; text-align: right; margin-bottom: 0; margin-left: 0; z-index: 5;/* Safari */ -webkit-transform: rotate(-90deg); /* Firefox */ -moz-transform: rotate(-90deg);-moz-transform-origin: 20px 0px; /* Internet Explorer */ filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=3); cursor: pointer; }
.easy-accordion dt.active { cursor: pointer; color: #fff; background-color: #666; }
.easy-accordion dt.hover { color:#fff; background-color: #999; }
.easy-accordion dd { z-index: 1; opacity: 0; overflow: hidden; padding: 10px; background: #fff; }
.easy-accordion dd.active { opacity: 1; z-index: 3; }
.easy-accordion dd.no-more-active { z-index: 2; opacity: 1; }
.easy-accordion dd.plus { z-index: 4 }
.easy-accordion .slide-number { position: absolute; bottom: 0; left: 10px; font-weight: normal; font-size: 1.1em; /* Safari */ -webkit-transform: rotate(90deg); /* Firefox */ -moz-transform: rotate(90deg); /* Internet Explorer */ filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=1); }
.om-maximenu-style-accordion.om-maximenu-float { width: 480px; }
.om-maximenu-style-accordion { height: 245px; }

/* Round About */
.om-maximenu-style-roundabout.om-maximenu-float { width: 480px; }
.roundabout-holder { height: 200px; display: block; padding: 0; margin: 0; }
.roundabout-holder .om-leaf { list-style: none; list-style-image: none; display: block; padding: 0; margin: 0; }
.om-maximenu-roundabout-content { padding: 10px; border: 1px solid #999; background-color: #fff; }

/* Long Menu */
.om-menu-ul-wrapper { position: relative; }
.om-menu-scroller { z-index: 100; font-weight: bold; background-color: #ccc; cursor: pointer; text-align: center; }
.om-menu-scroller:hover { color: #fff; }

.om-maximenu-row .om-menu-scroller {  position: absolute; height: 30px; width: 30px; line-height: 30px; }
.om-maximenu-row .om-menu-previous { top: 0; left: 0; }
.om-maximenu-row .om-menu-next { top: 0; right: 0; }
.om-maximenu-column .om-menu-scroller { height: 20px; line-height: 20px; }
.om-maximenu-column .om-menu-previous {}
.om-maximenu-column .om-menu-next {}

/* Modal */
#om-maximenu-mask { position: absolute; left: 0; top: 0; z-index: 2990; background-color: #000; display: none; }
#om-maximenu-modal-widows .om-maximenu-modal-content { position: fixed; z-index: 3000 !important; padding: 20px; height: auto; width: auto; }
#om-maximenu-modal-widows .om-maximenu-modal-content .om-maximenu-close { color: #fff; cursor: pointer; text-align: right; }
#om-maximenu-modal-widows .om-maximenu-modal-content .block { position: relative; }



